- Home
- API Enriched
- Support
- operate
- Stop Tcpdump.
Stop Tcpdump.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/stop_tcpdump';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"intf":{"intf":"example","pod":"example","vn":"example","vn_type":"VIRTUAL_NETWORK_SITE_LOCAL"},"namespace":"example","node":"example","site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/example/sites/example/ver/stop_tcpdump \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "intf": { "intf": "example", "pod": "example", "vn": "example", "vn_type": "VIRTUAL_NETWORK_SITE_LOCAL" }, "namespace": "example", "node": "example", "site": "example" }'Stop tcpdump running on an interface in a ver node.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace for which the request is sent (system)
Site Name Name of the site on which Tcpdump was run.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to fetch captured pcap data from an earlier Tcpdump request.
object
object
Exclusive with [pod vn vn_type] Name of the chosen interface on the node.
Exclusive with [intf vn vn_type] Name of the pod whose interface on the node is chosen.
Exclusive with [intf pod vn_type] Name of chosen Virtual Network.
Namespace for which the request is sent (system)
Name of the node on which Tcpdump was run Required: YES.
Name of the site on which Tcpdump was run.
Responses
Section titled “Responses”A successful response.
Response for a stop tcpdump request.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example